package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TDictMajorEdMapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorEd;
import com.goldenwater.slaj.hazard.service.ITDictMajorEdService;

/**
 * 重大工程字典 服务层实现
 */
@Service
public class TDictMajorEdServiceImpl implements ITDictMajorEdService {

    @Autowired
    private TDictMajorEdMapper tDictMajorEdMapper;

    @Override
    public TDictMajorEd selectTDictMajorEdByGuid(String guid) {
        return tDictMajorEdMapper.selectTDictMajorEdByGuid(guid);
    }

    @Override
    public List<TDictMajorEd> selectTDictMajorEdList(TDictMajorEd tDictMajorEd) {
        return tDictMajorEdMapper.selectTDictMajorEdList(tDictMajorEd);
    }

    @Override
    public int insertTDictMajorEd(TDictMajorEd tDictMajorEd) {
        return tDictMajorEdMapper.insertTDictMajorEd(tDictMajorEd);
    }

    @Override
    public int updateTDictMajorEd(TDictMajorEd tDictMajorEd) {
        return tDictMajorEdMapper.updateTDictMajorEd(tDictMajorEd);
    }

    @Override
    public int deleteTDictMajorEdByGuid(String guid) {
        return tDictMajorEdMapper.deleteTDictMajorEdByGuid(guid);
    }

    @Override
    public int deleteTDictMajorEdByGuids(String[] guids) {
        return tDictMajorEdMapper.deleteTDictMajorEdByGuids(guids);
    }
}
